import { CanActivate, ExecutionContext } from '@nestjs/common';
import { RecruitmentService } from './recruitment.service';
export declare class ApiKeyGuard implements CanActivate {
    private readonly recruitmentService;
    constructor(recruitmentService: RecruitmentService);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
